Aggregate budgets
Budgeted amounts rolled up for reporting. This is a POST so filters can be large.
Request body
currencyCodestringrequired
Currency to convert into.
aggregateBynullable array of enums
day, week, month, year, transactionCategoryId, transactionType.POST/category-budgets/aggregated
curl https://api.finwiseapp.io/category-budgets/aggregated \-X POST \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json" \-d '{"currencyCode":"USD","aggregateBy":["month","transactionCategoryId"]}'
const response = await fetch('https://api.finwiseapp.io/category-budgets/aggregated', {method: 'POST',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},body: JSON.stringify({"currencyCode": "USD","aggregateBy": ["month","transactionCategoryId"]}),})const data = await response.json()
Response
[{"amount": 600,"appliesFromBudgetPeriod": "2026-03-01T00:00:00.000Z","transactionCategoryId": "a00cb43b-ab06-447c-8aeb-527680b20a50","transactionType": "debit"}]